Debian Bug report logs - #402225
ITA: armagetron -- 3D Tron-like high speed game

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Fri, 8 Dec 2006 23:33:12 UTC

Owned by: A. Christine Spang <spang@mit.edu>

Severity: normal

Fixed in version armagetronad/0.2.8.2.1-1

Done: Christine Spang <spang@mit.edu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andreas Bombe <aeb@debian.org>, <wnpp@debian.org>:
Bug#402225; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Andreas Bombe <aeb@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: armagetron -- Common files for the Armagetron packages
Date: Sat, 9 Dec 2006 00:17:34 +0100
Package: wnpp
Severity: normal

The current maintainer of armagetron, Andreas Bombe <aeb@debian.org>,
has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: armagetron
Binary: armagetron-common, armagetron, armagetron-server
Version: 0.2.7.0-1.1
Priority: optional
Section: games
Maintainer: Andreas Bombe <aeb@debian.org>
Build-Depends: debhelper (>= 4), xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, libsdl-image1.2-dev (>= 1.2.2), libsdl1.2-dev (>= 1.2.2), autotools-dev, dpatch
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/a/armagetron
Files:
 c08cc3ab1d5e86d1545aa568e6a54243 757 armagetron_0.2.7.0-1.1.dsc
 4d32b8909f9dec09d57f3e026c9fa601 7600741 armagetron_0.2.7.0.orig.tar.gz
 6a167cad8b61b477ae0b9c9c0dbba019 17000 armagetron_0.2.7.0-1.1.diff.gz

Package: armagetron-common
Priority: optional
Section: games
Installed-Size: 484
Maintainer: Andreas Bombe <aeb@debian.org>
Architecture: all
Source: armagetron
Version: 0.2.7.0-1.1
Filename: pool/main/a/armagetron/armagetron-common_0.2.7.0-1.1_all.deb
Size: 106796
MD5sum: 927b39718df1fdbc693ffa7c1a694935
SHA1: 8ffb3cd58c8ea71374840f24b5a9a5c3687a57e0
SHA256: fb67b56915e247c7a44bebcc4d82e1c0e36e42017d00eeb583c646378f32f9c0
Description: Common files for the Armagetron packages
 Armagetron is a 3D game based on the light cycle racing in the movie "Tron".
 You have to control a light cycle that can only turn in steps of 90 degrees,
 leaves a solid wall behind and can not be stopped.  The aim is to survive
 longest of all players by not crashing into any walls.
 .
 This package contains the common configuration files and documentation shared
 between the armagetron and armagetron-server packages.
Tag: game::arcade, interface::3d, made-of::data:html, role::content:data, role::content:doc, special::auto-inst-parts, uitoolkit::sdl, use::gameplaying, x11::application

Package: armagetron
Priority: optional
Section: games
Installed-Size: 1864
Maintainer: Andreas Bombe <aeb@debian.org>
Architecture: i386
Version: 0.2.7.0-1.1
Replaces: armagetron-server (<< 0.1.4.3-3)
Depends: armagetron-common (= 0.2.7.0-1.1), libc6 (>= 2.3.5-1), libgcc1 (>= 1:4.0.1), libglu1-xorg | libglu1, libjpeg62, libsdl-image1.2 (>= 1.2.3), libsdl1.2debian (>> 1.2.7+1.2.8), libstdc++6 (>= 4.0.1), xlibmesa-gl | libgl1
Filename: pool/main/a/armagetron/armagetron_0.2.7.0-1.1_i386.deb
Size: 1056658
MD5sum: 2955ad7be0acb305e47cc504bc3fcc09
SHA1: 0c6d4691564a40b670a0115c226955fe211b9bf3
SHA256: cb71bdf09940bb8cf6671872285aa008447cb2efb20bc0d9d9b9698591e46709
Description: 3D Tron-like high speed game
 The rules are simple: you ride a light cycle (a kind of motorbike that can only
 turn 90 degrees at a time, leaves a wall behind and cannot be stopped) and have
 to avoid running into walls while at the same time you have to try to get your
 opponent to run into them.
 .
 The idea is based on the Disney movie from 1982 called "Tron".  If you ever
 wanted to take a try at one of those speed demons features in the movie, this
 is your chance.  Of all the Tron clones out there, I think one is the one that
 comes closest to the feeling the movie tries to express.  This is in part
 thanks to the sophisticated camera motions, in part to the superb modelling
 work and in part to the fabulous sound effects.  To add some extra fascination
 into the game, unlike to other Tron clones, in armagetron you can accelerate.
 Alas, there's no accelerate button.  If you want to drive fast, you have to
 drive well -- and really really close to the walls.
 .
 Armagetron can be played against AI opponents, against other humans over the
 network, or a mixture of both.
 .
  Homepage: http://armagetronad.sourceforge.net/
Tag: game::arcade, interface::3d, junior::games-gl, role::sw:client, uitoolkit::sdl, use::gameplaying, x11::application

Package: armagetron-server
Priority: optional
Section: games
Installed-Size: 1024
Maintainer: Andreas Bombe <aeb@debian.org>
Architecture: i386
Source: armagetron
Version: 0.2.7.0-1.1
Replaces: armagetron (<< 0.1.4.3-3)
Depends: armagetron-common (= 0.2.7.0-1.1), libc6 (>= 2.3.5-1), libgcc1 (>= 1:4.0.1), libstdc++6 (>= 4.0.1)
Filename: pool/main/a/armagetron/armagetron-server_0.2.7.0-1.1_i386.deb
Size: 404658
MD5sum: 89b9817be9ca64f53ca7b9fa9cc92c98
SHA1: 723209468d49652d1be70e21b8bd3f530140162e
SHA256: 4a546aa2b1b7399f6a550842441d4e62a18472b5be2bc15ecf1a603b9600e2db
Description: Dedicated server for Armagetron
 Armagetron is a 3D game based on the light cycle racing in the movie "Tron".
 You have to control a light cycle that can only turn in steps of 90 degrees,
 leaves a solid wall behind and can not be stopped.  The aim is to survive
 longest of all players by not crashing into any walls.
 .
 This version of Armagetron can only be used as a network game server.  It does
 not have graphical output and can be controlled via the text console.
 .
 The normal Armagetron used for playing is also capable to serve games, but will
 require X to display its graphics, will provide a player and is therefore
 unsuited for permanent game servers.
Tag: game::arcade, interface::3d, interface::commandline, interface::daemon, role::sw:server, use::gameplaying, x11::application

-- 
Mohammed Adnène Trojette



Changed Bug title. Request was from "A. Christine Spang" <spang@MIT.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#402225; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "A. Christine Spang" <spang@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 402225@bugs.debian.org (full text, mbox):

From: "A. Christine Spang" <spang@MIT.EDU>
To: 402225@bugs.debian.org
Cc: adn+deb@diwi.org, aeb@debian.org
Subject: adopting armagetron
Date: Thu, 28 Dec 2006 11:37:34 -0500
I'll take these packages since I use them and would like to see them in
good shape. I'll prepare new packages for the latest version and have
them uploaded.



Owner recorded as A. Christine Spang <spang@mit.edu>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Christine Spang <spang@mit.edu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 402225-close@bugs.debian.org (full text, mbox):

From: Christine Spang <spang@mit.edu>
To: 402225-close@bugs.debian.org
Subject: Bug#402225: fixed in armagetronad 0.2.8.2.1-1
Date: Tue, 10 Apr 2007 14:58:04 +0000
Source: armagetronad
Source-Version: 0.2.8.2.1-1

We believe that the bug you reported is fixed in the latest version of
armagetronad, which is due to be installed in the Debian FTP archive:

armagetron-common_0.2.8.2.1-1_all.deb
  to pool/main/a/armagetronad/armagetron-common_0.2.8.2.1-1_all.deb
armagetron-server_0.2.8.2.1-1_all.deb
  to pool/main/a/armagetronad/armagetron-server_0.2.8.2.1-1_all.deb
armagetron_0.2.8.2.1-1_all.deb
  to pool/main/a/armagetronad/armagetron_0.2.8.2.1-1_all.deb
armagetronad-common_0.2.8.2.1-1_all.deb
  to pool/main/a/armagetronad/armagetronad-common_0.2.8.2.1-1_all.deb
armagetronad-dedicated_0.2.8.2.1-1_amd64.deb
  to pool/main/a/armagetronad/armagetronad-dedicated_0.2.8.2.1-1_amd64.deb
armagetronad_0.2.8.2.1-1.diff.gz
  to pool/main/a/armagetronad/armagetronad_0.2.8.2.1-1.diff.gz
armagetronad_0.2.8.2.1-1.dsc
  to pool/main/a/armagetronad/armagetronad_0.2.8.2.1-1.dsc
armagetronad_0.2.8.2.1-1_amd64.deb
  to pool/main/a/armagetronad/armagetronad_0.2.8.2.1-1_amd64.deb
armagetronad_0.2.8.2.1.orig.tar.gz
  to pool/main/a/armagetronad/armagetronad_0.2.8.2.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 402225@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christine Spang <spang@mit.edu> (supplier of updated armagetronad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.7
Date: Mon,  5 Mar 2007 10:25:44 -0500
Source: armagetronad
Binary: armagetron-common armagetronad-common armagetronad armagetron-server armagetron armagetronad-dedicated
Architecture: source all amd64
Version: 0.2.8.2.1-1
Distribution: experimental
Urgency: low
Maintainer: Christine Spang <spang@mit.edu>
Changed-By: Christine Spang <spang@mit.edu>
Description: 
 armagetron - Dummy upgrade package for Armagetron
 armagetron-common - Dummy upgrade package for Armagetron
 armagetron-server - Dummy upgrade package for Armagetron
 armagetronad - 3D Tron-like high speed game
 armagetronad-common - Common files for the Armagetron Advanced packages
 armagetronad-dedicated - dedicated game server for Armagetron Advanced
Closes: 296840 311736 312905 318998 325101 325110 379062 402225
Changes: 
 armagetronad (0.2.8.2.1-1) experimental; urgency=low
 .
   * New maintainer. (Closes: #402225)
   * Acknowledge NMU. Thanks Petter! (Closes: #325110, #318998, #311736)
   * Updated to Standards-Version 3.7.2.2.
   * Fixed minor grammar mistake in manpage.
   * armagetron.menu updates:
     - made more readable
     - properly update menus in armagetron.{postinst,postrm}
     - added menu hints (Closes: #312905)
   * New upstream version. (Closes: #325101)
     - Fixes security bugs:
         - CAN-2005-0371 (Closes: #296840)
         - CVE-2006-3673 (Closes: #379062)
         - CVE-2006-3674
   * Updated dependencies.
   * Remove now-unnecessary g++ 4.0 patch and remove dependency
     on dpatch.
   * Almost completely rewrite debian/rules since so many changes
     have occurred since last release.
     - Add {armagetron,armagetron-common,armagetron-server}.install
       and use dh_install to install files into separate tmpdirs.
     - Add armagetron-common.docs and use dh_installdocs.
     - Use dh_link and add appropriate files.
   * Clean up debian/copyright.
   * Upstream has changed names. Renamed packages.
   * Removed old armagetron.xpm in debian/ and instead use the shipped
     medium PNG file for the Debian menu (converted to XPM during build).
   * Added lsb-compliant initscript and default file for armagetronad-server.
   * Removed cruft from pre/post-inst scripts.
   * Improved package descriptions.
   * Migrated old armagetron packages to dummy upgrade packages.
   * Almost completely rewrote manpages for both armagetronad and
     armagetronad-dedicated.
   * Fix bug in server initscript so startup honours setting in
     /etc/default/armagetronad-dedicated.
   * Don't start the server if it's already running.
Files: 
 6d5c6ff5fdd9d0d4ad0095e32ed3e33c 872 games optional armagetronad_0.2.8.2.1-1.dsc
 be4ee66a499a8fe7122391e8340cb576 1874858 games optional armagetronad_0.2.8.2.1.orig.tar.gz
 712b7c1a0a8cff0638fa69095bef36b3 32408 games optional armagetronad_0.2.8.2.1-1.diff.gz
 803d7f089d543452952ea7d5679fc78c 281192 games optional armagetronad-common_0.2.8.2.1-1_all.deb
 7fa4aa84564f4927545f3d8261a9d9f2 6604 games optional armagetron_0.2.8.2.1-1_all.deb
 300dcee1c697e3ed5a7febfd9977a9b9 6512 games optional armagetron-common_0.2.8.2.1-1_all.deb
 40b0b85469a5375762fed6455bb0fe6f 6642 games optional armagetron-server_0.2.8.2.1-1_all.deb
 dfee97f5722e0bdc81a7818a1a35488a 1369758 games optional armagetronad_0.2.8.2.1-1_amd64.deb
 2685319f58cb80ff47471eadeaaca4ff 689378 games optional armagetronad-dedicated_0.2.8.2.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF8fIwwO+u47cOQDsRAyb8AKCFuYZaVE5IgrrHKXpFjA3QAvTk3QCeNb6w
TRbTrMezNbRXSVlE1GofziE=
=jaWG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:16:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:31:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.